# Data frame Berkeley.rda *********** por hacer
load("D:/Datos/Berkeley.rda")

# Conversión de casos (data frame) a tabla
# Seleccionando las variables
TC=table(Berkeley$A,Berkeley$S,Berkeley$D,dnn=c("Admission","Sex","Department"))
TC

# Análisis log-lineal
# Modelo saturado
MS=glm(Freq ~ A*S*D, data=TC, family=poisson(link="log"))
summary(MS)
names(MS)
step(MS, direction="backward", test="Chisq")

# Modelo saturado: cambio de categoría de referencia
MS=glm(Freq ~ relevel(ABA,2)*relevel(HOR,3)*relevel(ACT,2), data=TC, family=poisson(link="log"))
summary(MS)
# Función step: selección de modelo
step(MS, direction="backward", test="Chisq")

